<?PHP
/*
=====================================================
 TopMenu V2.0
-----------------------------------------------------
 Persian support site: https://dlefa.ir
-----------------------------------------------------
 Developed by :  Reza.Moghaddam
-----------------------------------------------------
 Edite by :  Ali Arian
-----------------------------------------------------
 Copyright (c) 2018, All rights reserved.
=====================================================
*/

if(!defined('DATALIFEENGINE')){
	die("Hacking attempt!");
}

$topmenu_links = get_vars ( "topmenu" );
if (! is_array ( $topmenu_links )) {
	$topmenu_links = array ();
	
	$db->query ( "SELECT * FROM " . PREFIX . "_topmenu ORDER BY pos ASC" );
	while ( $row = $db->get_row () ) {
		
		$topmenu_links[$row['pos']] = array ();
		
		foreach ( $row as $key => $value ) {
			$topmenu_links[$row['pos']][$key] = stripslashes ( $value );
		}
	
	}
	set_vars ( "topmenu", $topmenu_links );
	$db->free ();
}

$tpl->load_template( 'topmenu.tpl' );

foreach($topmenu_links as $topmenu_link) {
	$tpl->set( '{menu-link}', $topmenu_link['link'] );
	$tpl->set( '{menu-title}', $topmenu_link['title'] );
	
	$tpl->compile( "topmenu" );
}

$tpl->clear();

?>
